Name:           python-singular-api-client
Version:        0.6.9
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Helper Library to use Singular Reporting API

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/singular-labs/singular_api_client/
Source:         %{pypi_source singular_api_client}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'singular-api-client' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-singular-api-client
Summary:        %{summary}

%description -n python3-singular-api-client %_description


%prep
%autosetup -p1 -n singular_api_client-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-singular-api-client -f %{pyproject_files}


%changelog
%autochangelog